MT26448 drivers fail for ubuntu 16.04.2

I have a MT26448 in a linux mint system that has ubuntu 16.04.2 but the available Mellanox driver is for 16.04 and the install fails with “current operation system is not supported”. Is there a way around this?

Generally, 16.04 should work on 16.04.2 too, however you seems to be having the older ConnectX HCA that is not supported. You may try to use inbox version of the driver or you may try to override current distro. See mlnxofedinstall script for the logic.